Unable to Update (dependencies issues?)

    • Resolved
    • OMV 1.0

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • Unable to Update (dependencies issues?)

      I am trying to apply all updates reported by Update Manager and keeps failing with some missing dependencies issues?. Attached is the full log (I couldn't paste it here due to message size limit)
      Files
      • log.txt

        (13.18 kB, downloaded 584 times, last: )
    • Well, the log I attached above was the output of my second attempt at applying the updates. However, now, Update Manager is not reporting any updates available anymore (blank screen), I just ran the "Check" again and came back with nothing. So not sure what to make of it.

      System Information reports I am running 1.8 (Kralizec)
    • What did you do before you hit that problem?

      Greetings
      David
      "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"

      Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.


      Upload Logfile via WebGUI/CLI
      #openmediavault on freenode IRC | German & English | GMT+1
      Absolutely no Support via PM!

      I host parts of the omv-extras.org Repository, the OpenMediaVault Live Demo and the pre-built PXE Images. If you want you can take part and help covering the costs by having a look at my profile page.
    • ryecoaaron wrote:

      What is the output of:

      dpkg -l | grep openmediavault
      dpkg -l | grep php


      Source Code

      1. ​root@openmediavault:~# dpkg -l | grep openmediavault
      2. ii openmediavault 1.8 all Open network attached storage solution
      3. ii openmediavault-extplorer 1.0.6 all OpenMediaVault eXtplorer plugin
      4. ii openmediavault-forkeddaapd 1.1 all OpenMediaVault forked-daapd (DAAP server) plugin
      5. ii openmediavault-keyring 0.3 all GnuPG archive keys of the OpenMediaVault archive
      6. ii openmediavault-minidlna 1.0.10 all OpenMediaVault miniDLNA (DLNA server) plugin
      7. ii openmediavault-netatalk 1.4 all OpenMediaVault netatalk (AppleTalk Protocol Suite) plugin
      8. ii openmediavault-nut 1.1 all OpenMediaVault Network UPS Tools (NUT) plugin
      9. ii openmediavault-omvextrasorg 1.7 all OMV-Extras.org Package Repositories for OpenMediaVault
      10. pc openmediavault-owncloud 1.1.2 all OpenMediaVault ownCloud plugin
      11. ii openmediavault-plexmediaserver 1.0.9 all OpenMediaVault Plex Media Server plugin
      12. ii openmediavault-route 1.2 all OpenMediaVault IP routing table plugin
      13. iU openmediavault-transmissionbt 1.0.13 all OpenMediaVault Transmission (BitTorrent client) plugin
      Display All


      Source Code

      1. root@openmediavault:~# dpkg -l | grep php
      2. ii php-json-schema 0.2.0 all PHP implementation of JSON schema
      3. iU php-pear 5.4.36-0+deb7u1 all PEAR - PHP Extension and Application Repository
      4. rc php5-auth-pam 0.4-10+b1 amd64 A PHP5 extension for PAM authentication
      5. iU php5-cgi 5.4.36-0+deb7u1 amd64 server-side, HTML-embedded scripting language (CGI binary)
      6. iU php5-cli 5.4.36-0+deb7u1 amd64 command-line interpreter for the php5 scripting language
      7. ii php5-common 5.4.36-0+deb7u1 amd64 Common files for packages built from the php5 source
      8. iU php5-curl 5.4.36-0+deb7u1 amd64 CURL module for php5
      9. iU php5-fpm 5.4.36-0+deb7u1 amd64 server-side, HTML-embedded scripting language (FPM-CGI binary)
      10. iU php5-intl 5.4.36-0+deb7u1 amd64 internationalisation module for php5
      11. iU php5-mcrypt 5.4.36-0+deb7u1 amd64 MCrypt module for php5
      12. ii php5-pam 1.0.3-2 amd64 pam module for PHP 5
      13. iU php5-pgsql 5.4.36-0+deb7u1 amd64 PostgreSQL module for php5
      14. ii php5-proctitle 0.1.2-2 amd64 proctitle module for PHP 5
      Display All
    • ryecoaaron wrote:

      Your php is a mess. Try: dpkg-reconfigure -a


      Thanks. That command is taking me through a number of system reconfiguration prompts that I have no idea how to respond to. It seems to run a major system wide reconfiguration. Some prompts don't provide a default so I am afraid I am going to break something. Is there anything else I could try?
    • OMV needs php. Yours is not configured for a lot of packages. Those reconfigurations need to happen. If there is a prompt that doesn't have a default, just ask.
      omv 4.1.12 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.11
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • ryecoaaron wrote:

      OMV needs php. Yours is not configured for a lot of packages. Those reconfigurations need to happen. If there is a prompt that doesn't have a default, just ask.


      Ok. I ran it. Here is the output. Looks like it ended in failure too.

      Source Code

      1. root@openmediavault:~# dpkg-reconfigure -a
      2. Stopping ACPI services....
      3. Loading ACPI kernel modules....
      4. Starting ACPI services....
      5. insserv: warning: current stop runlevel(s) (0 1 6) of script `anacron' overrides LSB defaults (empty).
      6. Stopping web server: apache2.
      7. Starting web server: apache2Syntax error on line 10 of /etc/apache2/openmediavault-webgui.d/default.conf:
      8. Invalid command 'FcgidMaxRequestLen', perhaps misspelled or defined by a module not included in the server configuration
      9. Action 'start' failed.
      10. The Apache error log may have more information.
      11. failed!
      12. invoke-rc.d: initscript apache2, action "start" failed.
      13. gpg: key B98321F9: "Squeeze Stable Release Key <debian-release@lists.debian.org>" not changed
      14. gpg: key 473041FA: "Debian Archive Automatic Signing Key (6.0/squeeze) <ftpmaster@debian.org>" not changed
      15. gpg: key 65FFB764: "Wheezy Stable Release Key <debian-release@lists.debian.org>" not changed
      16. gpg: key 46925553: "Debian Archive Automatic Signing Key (7.0/wheezy) <ftpmaster@debian.org>" not changed
      17. gpg: key 518E17E1: "Jessie Stable Release Key <debian-release@lists.debian.org>" not changed
      18. gpg: Total number processed: 5
      19. gpg: unchanged: 5
      20. Stopping Avahi mDNS/DNS-SD Daemon: avahi-daemon.
      21. Reloading system message bus config...done.
      22. Starting Avahi mDNS/DNS-SD Daemon: avahi-daemon.
      23. update-alternatives: using /usr/share/man/man7/bash-builtins.7.gz to provide /usr/share/man/man7/builtins.7.gz (builtins.7.gz) in auto mode
      24. Restarting statistics collection and monitoring daemon: collectd.
      25. Stopping statistics collection and monitoring daemon: collectd.
      26. Starting statistics collection and monitoring daemon: collectd.
      27. Looking for keymap to install:
      28. NONE
      29. Looking for keymap to install:
      30. NONE
      31. Loading cpufreq kernel modules...done (acpi-cpufreq).
      32. CPUFreq Utilities: Setting conservative CPUFreq governor...CPU0...CPU1...done.
      33. Stopping periodic command scheduler: cron.
      34. Starting periodic command scheduler: cron.
      35. system message bus already started; not starting..
      36. To run ddclient as a daemon, please set run_daemon to 'true' in /etc/default/ddclient ... (warning).
      37. .
      38. update-initramfs: deferring update (trigger activated)
      39. Regenerating fonts cache... done.
      40. main: Forked Media Server Version 21.0 taking off
      41. udev active, skipping device node creation.
      42. update-initramfs: deferring update (trigger activated)
      43. insserv: warning: current stop runlevel(s) (0 1 6) of script `anacron' overrides LSB defaults (empty).
      44. Stopping web server: apache2.
      45. Starting web server: apache2Syntax error on line 10 of /etc/apache2/openmediavault-webgui.d/default.conf:
      46. Invalid command 'FcgidMaxRequestLen', perhaps misspelled or defined by a module not included in the server configuration
      47. Action 'start' failed.
      48. The Apache error log may have more information.
      49. failed!
      50. invoke-rc.d: initscript apache2, action "start" failed.
      51. gpg: key B98321F9: "Squeeze Stable Release Key <debian-release@lists.debian.org>" not changed
      52. gpg: key 473041FA: "Debian Archive Automatic Signing Key (6.0/squeeze) <ftpmaster@debian.org>" not changed
      53. gpg: key 65FFB764: "Wheezy Stable Release Key <debian-release@lists.debian.org>" not changed
      54. gpg: key 46925553: "Debian Archive Automatic Signing Key (7.0/wheezy) <ftpmaster@debian.org>" not changed
      55. gpg: key 518E17E1: "Jessie Stable Release Key <debian-release@lists.debian.org>" not changed
      56. gpg: Total number processed: 5
      57. gpg: unchanged: 5
      58. Stopping Avahi mDNS/DNS-SD Daemon: avahi-daemon.
      59. Reloading system message bus config...done.
      60. Starting Avahi mDNS/DNS-SD Daemon: avahi-daemon.
      61. update-alternatives: using /usr/share/man/man7/bash-builtins.7.gz to provide /usr/share/man/man7/builtins.7.gz (builtins.7.gz) in auto mode
      62. Restarting statistics collection and monitoring daemon: collectd.
      63. Stopping statistics collection and monitoring daemon: collectd.
      64. Starting statistics collection and monitoring daemon: collectd.
      65. Looking for keymap to install:
      66. NONE
      67. Looking for keymap to install:
      68. NONE
      69. Loading cpufreq kernel modules...done (acpi-cpufreq).
      70. CPUFreq Utilities: Setting conservative CPUFreq governor...CPU0...CPU1...done.
      71. Stopping periodic command scheduler: cron.
      72. Starting periodic command scheduler: cron.
      73. system message bus already started; not starting..
      74. To run ddclient as a daemon, please set run_daemon to 'true' in /etc/default/ddclient ... (warning).
      75. .
      76. To run ddclient as a daemon, please set run_daemon to 'true' in /etc/default/ddclient ... (warning).
      77. .
      78. update-initramfs: deferring update (trigger activated)
      79. Regenerating fonts cache... done.
      80. main: Forked Media Server Version 21.0 taking off
      81. udev active, skipping device node creation.
      82. update-initramfs: deferring update (trigger activated)
      83. Installation finished. No error reported.
      84. Generating grub.cfg ...
      85. Found linux image: /boot/vmlinuz-3.2.0-4-amd64
      86. Found initrd image: /boot/initrd.img-3.2.0-4-amd64
      87. Found linux image: /boot/vmlinuz-2.6.32-5-amd64
      88. Found initrd image: /boot/initrd.img-2.6.32-5-amd64
      89. done
      90. /usr/sbin/dpkg-reconfigure: initramfs-tools is broken or not fully installed
      91. root@openmediavault:~#
      Display All
    • You still have apache causing problems. 1.x uses nginx not apache. Try the steps after "especially when upgrading from 0.5.x to 1.x" in this thread. Then try the steps at the top of that same page.
      omv 4.1.12 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.11
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • ryecoaaron wrote:

      You still have apache causing problems. 1.x uses nginx not apache. Try the steps after "especially when upgrading from 0.5.x to 1.x" in this thread. Then try the steps at the top of that same page.


      Executed those steps, back at the top of the page, the "apt-get upgrade" failed with errors below. And the commands that follow also fail with the same errors. It may be important to mention (not sure) the output of this command:

      Source Code

      1. root@openmediavault:~# update-rc.d -f apache2 remove
      2. update-rc.d: using dependency based boot sequencing
      3. root@openmediavault:~#


      So not sure that's doing what's expected to do. Apache2 is not running however.

      Source Code

      1. root@openmediavault:~# service apache2 status
      2. Apache2 is NOT running.


      Here is the apt-get upgrade errors:

      Source Code

      1. root@openmediavault:~# apt-get upgrade
      2. Reading package lists... Done
      3. Building dependency tree
      4. Reading state information... Done
      5. 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
      6. 18 not fully installed or removed.
      7. Need to get 0 B/904 kB of archives.
      8. After this operation, 0 B of additional disk space will be used.
      9. Do you want to continue [Y/n]? y
      10. dpkg: error processing libxml2:amd64 (--configure):
      11. package libxml2:amd64 is not ready for configuration
      12. cannot configure (current status `half-installed')
      13. dpkg: dependency problems prevent configuration of php5-fpm:
      14. php5-fpm depends on libxml2 (>= 2.8.0); however:
      15. Package libxml2:amd64 is not installed.
      16. dpkg: error processing php5-fpm (--configure):
      17. dependency problems - leaving unconfigured
      18. dpkg: dependency problems prevent configuration of php5-cli:
      19. php5-cli depends on libxml2 (>= 2.8.0); however:
      20. Package libxml2:amd64 is not installed.
      21. dpkg: error processing php5-cli (--configure):
      22. dependency problems - leaving unconfigured
      23. dpkg: dependency problems prevent configuration of php5-cgi:
      24. php5-cgi depends on libxml2 (>= 2.8.0); however:
      25. Package libxml2:amd64 is not installed.
      26. dpkg: error processing php5-cgi (--configure):
      27. dependency problems - leaving unconfigured
      28. dpkg: dependency problems prevent configuration of php5-curl:
      29. php5-curl depends on phpapi-20100525; however:
      30. Package phpapi-20100525 is not installed.
      31. Package php5-cli which provides phpapi-20100525 is not configured yet.
      32. Package php5-fpm which provides phpapi-20100525 is not configured yet.
      33. Package php5-cgi which provides phpapi-20100525 is not configured yet.
      34. dpkg: error processing php5-curl (--configure):
      35. dependency problems - leaving unconfigured
      36. dpkg: dependency problems prevent configuration of php5-intl:
      37. php5-intl depends on phpapi-20100525; however:
      38. Package phpapi-20100525 is not installed.
      39. Package php5-cli which provides phpapi-20100525 is not configured yet.
      40. Package php5-fpm which provides phpapi-20100525 is not configured yet.
      41. Package php5-cgi which provides phpapi-20100525 is not configured yet.
      42. dpkg: error processing php5-intl (--configure):
      43. dependency problems - leaving unconfigured
      44. dpkg: dependency problems prevent configuration of php5-mcrypt:
      45. php5-mcrypt depends on phpapi-20100525; however:
      46. Package phpapi-20100525 is not installed.
      47. Package php5-cli which provides phpapi-20100525 is not configured yet.
      48. Package php5-fpm which provides phpapi-20100525 is not configured yet.
      49. Package php5-cgi which provides phpapi-20100525 is not configured yet.
      50. dpkg: error processing php5-mcrypt (--configure):
      51. dependency problems - leaving unconfigured
      52. dpkg: dependency problems prevent configuration of php5-pgsql:
      53. php5-pgsql depends on phpapi-20100525; however:
      54. Package phpapi-20100525 is not installed.
      55. Package php5-cli which provides phpapi-20100525 is not configured yet.
      56. Package php5-fpm which provides phpapi-20100525 is not configured yet.
      57. Package php5-cgi which provides phpapi-20100525 is not configured yet.
      58. dpkg: error processing php5-pgsql (--configure):
      59. dependency problems - leaving unconfigured
      60. Setting up transmission-daemon (2.82-1.1) ...
      61. Starting bittorrent daemon: transmission-daemon/usr/bin/transmission-daemon already running.
      62. failed!
      63. invoke-rc.d: initscript transmission-daemon, action "start" failed.
      64. dpkg: error processing transmission-daemon (--configure):
      65. subprocess installed post-installation script returned error exit status 1
      66. dpkg: dependency problems prevent configuration of libisc84:
      67. libisc84 depends on libxml2 (>= 2.7.4); however:
      68. Package libxml2:amd64 is not installed.
      69. dpkg: error processing libisc84 (--configure):
      70. dependency problems - leaving unconfigured
      71. dpkg: dependency problems prevent configuration of libdns88:
      72. libdns88 depends on libisc84; however:
      73. Package libisc84 is not configured yet.
      74. libdns88 depends on libxml2 (>= 2.6.27); however:
      75. Package libxml2:amd64 is not installed.
      76. dpkg: error processing libdns88 (--configure):
      77. dependency problems - leaving unconfigured
      78. dpkg: dependency problems prevent configuration of libisccc80:
      79. libisccc80 depends on libisc84; however:
      80. Package libisc84 is not configured yet.
      81. libisccc80 depends on libxml2 (>= 2.6.27); however:
      82. Package libxml2:amd64 is not installed.
      83. dpkg: error processing libisccc80 (--configure):
      84. dependency problems - leaving unconfigured
      85. dpkg: dependency problems prevent configuration of libisccfg82:
      86. libisccfg82 depends on libdns88; however:
      87. Package libdns88 is not configured yet.
      88. libisccfg82 depends on libisc84; however:
      89. Package libisc84 is not configured yet.
      90. libisccfg82 depends on libisccc80; however:
      91. Package libisccc80 is not configured yet.
      92. libisccfg82 depends on libxml2 (>= 2.6.27); however:
      93. Package libxml2:amd64 is not installed.
      94. dpkg: error processing libisccfg82 (--configure):
      95. dependency problems - leaving unconfigured
      96. dpkg: dependency problems prevent configuration of libbind9-80:
      97. libbind9-80 depends on libdns88; however:
      98. Package libdns88 is not configured yet.
      99. libbind9-80 depends on libisc84; however:
      100. Package libisc84 is not configured yet.
      101. libbind9-80 depends on libisccfg82; however:
      102. Package libisccfg82 is not configured yet.
      103. libbind9-80 depends on libxml2 (>= 2.6.27); however:
      104. Package libxml2:amd64 is not installed.
      105. dpkg: error processing libbind9-80 (--configure):
      106. dependency problems - leaving unconfigured
      107. dpkg: dependency problems prevent configuration of liblwres80:
      108. liblwres80 depends on libxml2 (>= 2.6.27); however:
      109. Package libxml2:amd64 is not installed.
      110. dpkg: error processing liblwres80 (--configure):
      111. dependency problems - leaving unconfigured
      112. dpkg: dependency problems prevent configuration of bind9-host:
      113. bind9-host depends on libbind9-80 (= 1:9.8.4.dfsg.P1-6+nmu2+deb7u3); however:
      114. Package libbind9-80 is not configured yet.
      115. bind9-host depends on libdns88 (= 1:9.8.4.dfsg.P1-6+nmu2+deb7u3); however:
      116. Package libdns88 is not configured yet.
      117. bind9-host depends on libisc84 (= 1:9.8.4.dfsg.P1-6+nmu2+deb7u3); however:
      118. Package libisc84 is not configured yet.
      119. bind9-host depends on libisccfg82 (= 1:9.8.4.dfsg.P1-6+nmu2+deb7u3); however:
      120. Package libisccfg82 is not configured yet.
      121. bind9-host depends on liblwres80 (= 1:9.8.4.dfsg.P1-6+nmu2+deb7u3); however:
      122. Package liblwres80 is not configured yet.
      123. bind9-host depends on libxml2 (>= 2.6.27); however:
      124. Package libxml2:amd64 is not installed.
      125. dpkg: error processing bind9-host (--configure):
      126. dependency problems - leaving unconfigured
      127. dpkg: dependency problems prevent configuration of openmediavault-transmissionbt:
      128. openmediavault-transmissionbt depends on transmission-daemon; however:
      129. Package transmission-daemon is not configured yet.
      130. dpkg: error processing openmediavault-transmissionbt (--configure):
      131. dependency problems - leaving unconfigured
      132. dpkg: dependency problems prevent configuration of php-pear:
      133. php-pear depends on php5-cli; however:
      134. Package php5-cli is not configured yet.
      135. dpkg: error processing php-pear (--configure):
      136. dependency problems - leaving unconfigured
      137. Errors were encountered while processing:
      138. libxml2:amd64
      139. php5-fpm
      140. php5-cli
      141. php5-cgi
      142. php5-curl
      143. php5-intl
      144. php5-mcrypt
      145. php5-pgsql
      146. transmission-daemon
      147. libisc84
      148. libdns88
      149. libisccc80
      150. libisccfg82
      151. libbind9-80
      152. liblwres80
      153. bind9-host
      154. openmediavault-transmissionbt
      155. php-pear
      156. Creating index of upgradeable packages ...
      157. Creating index of OpenMediaVault plugins ...
      158. E: Sub-process /usr/bin/dpkg returned an error code (1)
      Display All
    • ryecoaaron wrote:

      apt-get install --reinstall initramfs-tools


      reinstall failed with error below. I noticed the package status change from "it" to "ii" however. So I ran reconfigure again and failed with the same errors. I checked the status of initramfs-tools and it changed to "it" again after running reconfigure.

      Source Code

      1. root@openmediavault:~# apt-get install --reinstall initramfs-tools
      2. Reading package lists... Done
      3. Building dependency tree
      4. Reading state information... Done
      5. 0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.
      6. 18 not fully installed or removed.
      7. Need to get 0 B/995 kB of archives.
      8. After this operation, 0 B of additional disk space will be used.
      9. (Reading database ... 37721 files and directories currently installed.)
      10. Preparing to replace initramfs-tools 0.109.1 (using .../initramfs-tools_0.109.1_all.deb) ...
      11. Unpacking replacement initramfs-tools ...
      12. Processing triggers for ca-certificates ...
      13. Updating certificates in /etc/ssl/certs... 0 added, 0 removed; done.
      14. Running hooks in /etc/ca-certificates/update.d....done.
      15. dpkg: error processing libxml2:amd64 (--configure):
      16. package libxml2:amd64 is not ready for configuration
      17. cannot configure (current status `half-installed')
      18. dpkg: dependency problems prevent configuration of php5-fpm:
      19. php5-fpm depends on libxml2 (>= 2.8.0); however:
      20. Package libxml2:amd64 is not installed.
      21. dpkg: error processing php5-fpm (--configure):
      22. dependency problems - leaving unconfigured
      23. dpkg: dependency problems prevent configuration of php5-cli:
      24. php5-cli depends on libxml2 (>= 2.8.0); however:
      25. Package libxml2:amd64 is not installed.
      26. dpkg: error processing php5-cli (--configure):
      27. dependency problems - leaving unconfigured
      28. dpkg: dependency problems prevent configuration of php5-cgi:
      29. php5-cgi depends on libxml2 (>= 2.8.0); however:
      30. Package libxml2:amd64 is not installed.
      31. dpkg: error processing php5-cgi (--configure):
      32. dependency problems - leaving unconfigured
      33. dpkg: dependency problems prevent configuration of php5-curl:
      34. php5-curl depends on phpapi-20100525; however:
      35. Package phpapi-20100525 is not installed.
      36. Package php5-cli which provides phpapi-20100525 is not configured yet.
      37. Package php5-fpm which provides phpapi-20100525 is not configured yet.
      38. Package php5-cgi which provides phpapi-20100525 is not configured yet.
      39. dpkg: error processing php5-curl (--configure):
      40. dependency problems - leaving unconfigured
      41. dpkg: dependency problems prevent configuration of php5-intl:
      42. php5-intl depends on phpapi-20100525; however:
      43. Package phpapi-20100525 is not installed.
      44. Package php5-cli which provides phpapi-20100525 is not configured yet.
      45. Package php5-fpm which provides phpapi-20100525 is not configured yet.
      46. Package php5-cgi which provides phpapi-20100525 is not configured yet.
      47. dpkg: error processing php5-intl (--configure):
      48. dependency problems - leaving unconfigured
      49. dpkg: dependency problems prevent configuration of php5-mcrypt:
      50. php5-mcrypt depends on phpapi-20100525; however:
      51. Package phpapi-20100525 is not installed.
      52. Package php5-cli which provides phpapi-20100525 is not configured yet.
      53. Package php5-fpm which provides phpapi-20100525 is not configured yet.
      54. Package php5-cgi which provides phpapi-20100525 is not configured yet.
      55. dpkg: error processing php5-mcrypt (--configure):
      56. dependency problems - leaving unconfigured
      57. dpkg: dependency problems prevent configuration of php5-pgsql:
      58. php5-pgsql depends on phpapi-20100525; however:
      59. Package phpapi-20100525 is not installed.
      60. Package php5-cli which provides phpapi-20100525 is not configured yet.
      61. Package php5-fpm which provides phpapi-20100525 is not configured yet.
      62. Package php5-cgi which provides phpapi-20100525 is not configured yet.
      63. dpkg: error processing php5-pgsql (--configure):
      64. dependency problems - leaving unconfigured
      65. Setting up transmission-daemon (2.82-1.1) ...
      66. Starting bittorrent daemon: transmission-daemon/usr/bin/transmission-daemon already running.
      67. failed!
      68. invoke-rc.d: initscript transmission-daemon, action "start" failed.
      69. dpkg: error processing transmission-daemon (--configure):
      70. subprocess installed post-installation script returned error exit status 1
      71. dpkg: dependency problems prevent configuration of libisc84:
      72. libisc84 depends on libxml2 (>= 2.7.4); however:
      73. Package libxml2:amd64 is not installed.
      74. dpkg: error processing libisc84 (--configure):
      75. dependency problems - leaving unconfigured
      76. dpkg: dependency problems prevent configuration of libdns88:
      77. libdns88 depends on libisc84; however:
      78. Package libisc84 is not configured yet.
      79. libdns88 depends on libxml2 (>= 2.6.27); however:
      80. Package libxml2:amd64 is not installed.
      81. dpkg: error processing libdns88 (--configure):
      82. dependency problems - leaving unconfigured
      83. dpkg: dependency problems prevent configuration of libisccc80:
      84. libisccc80 depends on libisc84; however:
      85. Package libisc84 is not configured yet.
      86. libisccc80 depends on libxml2 (>= 2.6.27); however:
      87. Package libxml2:amd64 is not installed.
      88. dpkg: error processing libisccc80 (--configure):
      89. dependency problems - leaving unconfigured
      90. dpkg: dependency problems prevent configuration of libisccfg82:
      91. libisccfg82 depends on libdns88; however:
      92. Package libdns88 is not configured yet.
      93. libisccfg82 depends on libisc84; however:
      94. Package libisc84 is not configured yet.
      95. libisccfg82 depends on libisccc80; however:
      96. Package libisccc80 is not configured yet.
      97. libisccfg82 depends on libxml2 (>= 2.6.27); however:
      98. Package libxml2:amd64 is not installed.
      99. dpkg: error processing libisccfg82 (--configure):
      100. dependency problems - leaving unconfigured
      101. dpkg: dependency problems prevent configuration of libbind9-80:
      102. libbind9-80 depends on libdns88; however:
      103. Package libdns88 is not configured yet.
      104. libbind9-80 depends on libisc84; however:
      105. Package libisc84 is not configured yet.
      106. libbind9-80 depends on libisccfg82; however:
      107. Package libisccfg82 is not configured yet.
      108. libbind9-80 depends on libxml2 (>= 2.6.27); however:
      109. Package libxml2:amd64 is not installed.
      110. dpkg: error processing libbind9-80 (--configure):
      111. dependency problems - leaving unconfigured
      112. dpkg: dependency problems prevent configuration of liblwres80:
      113. liblwres80 depends on libxml2 (>= 2.6.27); however:
      114. Package libxml2:amd64 is not installed.
      115. dpkg: error processing liblwres80 (--configure):
      116. dependency problems - leaving unconfigured
      117. dpkg: dependency problems prevent configuration of bind9-host:
      118. bind9-host depends on libbind9-80 (= 1:9.8.4.dfsg.P1-6+nmu2+deb7u3); however:
      119. Package libbind9-80 is not configured yet.
      120. bind9-host depends on libdns88 (= 1:9.8.4.dfsg.P1-6+nmu2+deb7u3); however:
      121. Package libdns88 is not configured yet.
      122. bind9-host depends on libisc84 (= 1:9.8.4.dfsg.P1-6+nmu2+deb7u3); however:
      123. Package libisc84 is not configured yet.
      124. bind9-host depends on libisccfg82 (= 1:9.8.4.dfsg.P1-6+nmu2+deb7u3); however:
      125. Package libisccfg82 is not configured yet.
      126. bind9-host depends on liblwres80 (= 1:9.8.4.dfsg.P1-6+nmu2+deb7u3); however:
      127. Package liblwres80 is not configured yet.
      128. bind9-host depends on libxml2 (>= 2.6.27); however:
      129. Package libxml2:amd64 is not installed.
      130. dpkg: error processing bind9-host (--configure):
      131. dependency problems - leaving unconfigured
      132. dpkg: dependency problems prevent configuration of openmediavault-transmissionbt:
      133. openmediavault-transmissionbt depends on transmission-daemon; however:
      134. Package transmission-daemon is not configured yet.
      135. dpkg: error processing openmediavault-transmissionbt (--configure):
      136. dependency problems - leaving unconfigured
      137. dpkg: dependency problems prevent configuration of php-pear:
      138. php-pear depends on php5-cli; however:
      139. Package php5-cli is not configured yet.
      140. dpkg: error processing php-pear (--configure):
      141. dependency problems - leaving unconfigured
      142. Setting up initramfs-tools (0.109.1) ...
      143. update-initramfs: deferring update (trigger activated)
      144. Processing triggers for initramfs-tools ...
      145. update-initramfs: Generating /boot/initrd.img-3.2.0-4-amd64
      146. W: mdadm: unchecked configuration file: /etc/mdadm/mdadm.conf
      147. W: mdadm: please read /usr/share/doc/mdadm/README.upgrading-2.5.3.gz .
      148. live-boot: core filesystems devices utils udev wget blockdev.
      149. Errors were encountered while processing:
      150. libxml2:amd64
      151. php5-fpm
      152. php5-cli
      153. php5-cgi
      154. php5-curl
      155. php5-intl
      156. php5-mcrypt
      157. php5-pgsql
      158. transmission-daemon
      159. libisc84
      160. libdns88
      161. libisccc80
      162. libisccfg82
      163. libbind9-80
      164. liblwres80
      165. bind9-host
      166. openmediavault-transmissionbt
      167. php-pear
      168. Creating index of upgradeable packages ...
      169. Creating index of OpenMediaVault plugins ...
      170. E: Sub-process /usr/bin/dpkg returned an error code (1)
      171. root@openmediavault:~#
      Display All